aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatěj Cepl <mcepl@cepl.eu>2024-01-17 22:17:53 +0100
committerMatěj Cepl <mcepl@cepl.eu>2024-01-17 22:17:53 +0100
commitd2bcd58736986df560165802cfe5dbdd5a93420d (patch)
tree44d4d4015074a447b385fb746f463ee77a6adfa2
parent46db3399ebff938f6e1a88b4fdfce7c871935d35 (diff)
downloadscreenplain-d2bcd58736986df560165802cfe5dbdd5a93420d.tar.gz
We don’t need pytest.
-rw-r--r--.travis.yml3
-rwxr-xr-xbin/test7
-rw-r--r--requirements.txt1
3 files changed, 7 insertions, 4 deletions
diff --git a/.travis.yml b/.travis.yml
index 38f98e1..2c21347 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -4,5 +4,6 @@ python:
- "3.6"
- "3.7"
- "3.8"
-install: pip install -r requirements.txt
+install:
+ - pip install -r requirements.txt
script: bin/test
diff --git a/bin/test b/bin/test
index 2355e7b..1597371 100755
--- a/bin/test
+++ b/bin/test
@@ -1,3 +1,6 @@
-#!/bin/bash -e
-pytest --doctest-modules -W error
+#!/bin/sh
+set -e
+
+python3 -W error -munittest discover -v -p '*test*.py'
+python3 -mdoctest -v screenplain/*.py
pycodestyle --ignore=E402,W504 screenplain tests
diff --git a/requirements.txt b/requirements.txt
index a8e7a71..5f745b6 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,3 +1,2 @@
reportlab
-pytest
pycodestyle